### File

`packages/ecl/components/ecl-site-header/action/ecl-site-header-action.component.ts`

### Description

This components is a container element for custom action, login, language and search components.

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-site-header-action`
templateUrl | `./ecl-site-header-action.component.html`

### Index

###### Properties
class
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Default value : `'ecl-site-header__action'`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

class
Type : `string`
Default value : `'ecl-site-header__action'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""